%global intname	benchmark

%define major	0
%define libname	%mklibname %{intname} %{major}
%define devname	%mklibname %{intname} -d

Name:		google-benchmark
Version:	1.5.2
Release:	%mkrel 1
Summary:	A microbenchmark support library
Group:          System/Libraries
License:	ASL 2.0
URL:		https://github.com/google/benchmark
Source0:	https://github.com/google/benchmark/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ninja-build
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gmock)

%description
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{libname}
Summary:	A microbenchmark support library
Group:		System/Libraries

%description -n	%{libname}
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{intname}-devel = %{version}-%{release}

%description -n	%{devname}
Development headers and files for %{name} libraries.

#------------------------------------------------

%prep
%autosetup -n %{intname}-%{version}

sed -i 's@lib/@%{_lib}/@g' src/CMakeLists.txt

%build
%cmake -G Ninja \
       -DBENCHMARK_ENABLE_TESTING=OFF

%ninja_build -C %{_vpath_builddir}

%install
%ninja_install -C %{_vpath_builddir}

%check
pushd %{_vpath_builddir}
    ctest --output-on-failure
popd

%files -n %{libname}
%doc AUTHORS CONTRIBUTORS CONTRIBUTING.md README.md
%license LICENSE
%{_libdir}/lib%{intname}*.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{intname}*.so
%{_includedir}/%{intname}/
%{_libdir}/cmake/%{intname}/
%{_libdir}/pkgconfig/%{intname}.pc


%changelog
* Mon Sep 14 2020 daviddavid <daviddavid> 1.5.2-1.mga8
+ Revision: 1626501
- new version: 1.5.2

* Mon Jun 29 2020 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1600311
- initial package google-benchmark

